all 5 comments

[–]diogenesjunior 6 insightful - 3 fun6 insightful - 2 fun7 insightful - 3 fun -  (4 children)

SaidIt depends on Ubuntu 14.04 IIRC. Its too hard to try with different software. I'll try finding a source for this.

[–]3rdFuckingAccount[S] 5 insightful - 3 fun5 insightful - 2 fun6 insightful - 3 fun -  (3 children)

Does it really depend on Ubuntu though? Yes, I know that the reddit source code recommnends running it on ubuntu, because (correct me if I'm wrong) it depends on ubuntu native packages and other debian/ubuntu exclusive software, but I don't think it would be that hard to port it to a BSD ecosystem. Besides, utils on BSD are nearly the same as for ubuntu, the only hard part is figuring what isn't compatible

Edit: There are some problems, some dependencies might not be available on BSD, including init systems that reddit's codebase requires

[–]d3rr 8 insightful - 2 fun8 insightful - 1 fun9 insightful - 2 fun -  (1 child)

There's a few ass kicking dependencies, like specific versions commits of old facebook code that reddit modified and then created ubuntu packages for. There's about 4 that all depend on specific versions of each other. So even getting this stuff to a more recent Ubuntu than 14 proves to be very challenging, I tried for about 20 hours. It needs a rebuild to dump these dependencies and upgrade everything else to recent versions. It's too much for me to want to do alone, and no one else seems to care much.

Edit: it's also all still python 2

[–]diogenesjunior 5 insightful - 6 fun5 insightful - 5 fun6 insightful - 6 fun -  (0 children)

it's also all still python 2

print "Oh no, I would hate looking at all that Python 2 code"

[–]diogenesjunior 4 insightful - 3 fun4 insightful - 2 fun5 insightful - 3 fun -  (0 children)

because (correct me if I'm wrong) it depends on ubuntu native packages and other debian/ubuntu exclusive software

Yes, I think that's it.

I don't think it would be that hard to port it to a BSD ecosystem

I'm sure its possible (somehow), but I have no idea how to get the job done

the only hard part is figuring what isn't compatible

And when that problem occurs, what do we do?

I've tried running the code, installed Ubuntu 14.04 and all. It worked, but I tried it on my primary OS, Gallium, and it failed. Of course Gallium is built on Xubuntu.